summaryrefslogtreecommitdiff
path: root/contrib/debian/bbstored.in
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/debian/bbstored.in')
-rw-r--r--contrib/debian/bbstored.in59
1 files changed, 59 insertions, 0 deletions
diff --git a/contrib/debian/bbstored.in b/contrib/debian/bbstored.in
new file mode 100644
index 00000000..c9214537
--- /dev/null
+++ b/contrib/debian/bbstored.in
@@ -0,0 +1,59 @@
+#! /bin/sh
+
+# Start and stop the Box Backup server daemon.
+# Originally by James Stark, modified by Chris Wilson and James O'Gorman
+# For support, visit http://www.boxbackup.org/trac/wiki/MailingLists
+
+NAME=bbstored
+LONGNAME="Box Backup Server daemon"
+BINARY=@sbindir_expanded@/$NAME
+CONFIG=@sysconfdir_expanded@/boxbackup/$NAME.conf
+PIDFILE=@localstatedir_expanded@/run/$NAME.pid
+
+test -x $BINARY || exit 0
+test -f $CONFIG || exit 0
+
+start_stop() {
+ start-stop-daemon --quiet --exec $BINARY --pidfile $PIDFILE "$@"
+}
+
+start_stop_verbose() {
+ if start_stop "$@"; then
+ echo "."
+ else
+ echo " failed!"
+ exit 1
+ fi
+}
+
+case $1 in
+ start)
+ echo -n "Starting $LONGNAME: $NAME"
+ start_stop_verbose --start
+ ;;
+
+ stop)
+ echo -n "Stopping $LONGNAME: $NAME"
+ start_stop_verbose --stop
+ ;;
+
+ reload|force-reload)
+ echo -n "Reloading $LONGNAME configuration"
+ start_stop_verbose --stop --signal 1
+ ;;
+
+ restart)
+ echo -n "Restarting $LONGNAME: $NAME"
+ if start_stop --stop --retry 5 && start_stop --start; then
+ echo "."
+ else
+ echo " failed!"
+ exit 1
+ fi
+ ;;
+
+ *)
+ echo "Usage: $0 {start|stop|reload|force-reload|restart}"
+esac
+
+exit 0